Create a gig role

​

Body·

required
application/json

Fields accepted when creating a gig role. Unknown or read-only fields are rejected.

  • References gigs.id.

  • References roles.id.

  • References gig_products.id.

  • References rates.id.

  • References staff_members.id.

  • On the gig to train or shadow rather than fill the slot. A fact about the assignment, never a role.

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/gig-roles
curl https://api.hireorpheus.com/api/v1/gig-roles \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "label": null,
  "role_id": null,
  "gig_id": null,
  "staff_member_id": null,
  "gig_product_id": null,
  "training": true,
  "rate_id": null,
  "call_time": null,
  "call_time_location": null
}'
{
  "data": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "label": null,
    "role_id": null,
    "gig_id": null,
    "staff_member_id": null,
    "gig_product_id": null,
    "training": true,
    "rate_id": null,
    "latest_invitation_id": null,
    "call_time": null,
    "call_time_location": null,
    "computed_base_amount": null,
    "computed_day_modifier": null,
    "computed_addon_total": null,
    "computed_travel_amount": null,
    "computed_total_amount": null,
    "created_time": "2026-10-14T08:02:53.591Z",
    "last_edited_time": "2026-10-14T08:02:53.591Z"
  }
}